#[macro_use]
extern crate scan_fmt;
fn main() {
    let mut passline: Vec<String> = Vec::new();
    let contents = std::fs::read_to_string("input1").unwrap();
    for s in contents.lines() {
        passline.push(s.parse::<String>().unwrap());
    }
    let mut valid_passwords = 0;
    for line in passline.iter() {
        let (min, max, key, pass) =
            scan_fmt!(&line, "{}-{} {}: {}", usize, usize, char, String).unwrap();
        if (pass.as_bytes()[min - 1] as char == key && pass.as_bytes()[max - 1] as char != key)
            || (pass.as_bytes()[min - 1] as char != key && pass.as_bytes()[max - 1] as char == key)
        {
            valid_passwords += 1;
        }
    }
    print!("Valid Passwords Found: {}\n", valid_passwords);
}
